Bug Hunting Session
Bug 112333 - FILESAVE: PPTX:Fill Color Animation gets corrupted after roundtrip
Summary: FILESAVE: PPTX:Fill Color Animation gets corrupted after roundtrip
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Szymon Kłos
URL:
Whiteboard: target:6.0.0
Keywords: filter:pptx
Depends on:
Blocks: PPTX-Corrupted
  Show dependency treegraph
 
Reported: 2017-09-11 16:08 UTC by Luke
Modified: 2017-09-21 03:19 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2017-09-11 16:08:22 UTC
Steps to Reproduce:
1. In Impress or PowerPower create a slide with an Effect such as attachment 129143 [details]
2. Save as PPTX
3. Open in PowerPoint

Expected Results:
Effect works as specified in 1.

Actual Results:
Powerpoint opens repair dialog / Effect missing in Impress
Comment 1 Xisco Faulí 2017-09-11 22:08:56 UTC
Confirmed in

Version: 6.0.0.0.alpha0+
Build ID: 383aab7ed63bf30931c1cf89138707d2228b5dce
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 2 Xisco Faulí 2017-09-11 22:13:23 UTC
On Open XML SDK 2.5 I get:

- AttributeNameList: The element has incomplete content.
- ToVariantValue: The element has incomplete content.
Comment 3 Commit Notification 2017-09-19 14:22:53 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f44aa84331cfa22db6e85e238b6cee698a8d9978

tdf#112333 PPTX export fill.type & fill.on

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Luke 2017-09-20 04:20:35 UTC
Szymon,
Thanks for working on this. The file is no longer corrupted, but the effect color is not being saved. Is this still a WIP or should I file a new report?
Comment 5 Commit Notification 2017-09-20 06:50:59 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=146a64bb52a7d51cd27021311fb3ad9075e94d10

tdf#112333 PPTX export animClr

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Szymon Kłos 2017-09-20 06:52:24 UTC
(In reply to Luke from comment #4)
> Szymon,
> Thanks for working on this. The file is no longer corrupted, but the effect
> color is not being saved. Is this still a WIP or should I file a new report?

Now it works.
Comment 7 Luke 2017-09-21 03:19:48 UTC
As of Version: 6.0.0.0.alpha0+ (x64)
Build ID: ffd6efb959f72ab2ef7a015ce64158277eb6cdac

Both native ODP files export and PPTX files round-trip without any errors. Nice job Szymon Kłos!